Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::BeeThree Class Reference

STK Hammond-oid organ FM synthesis instrument. More...

`#include <BeeThree.h>`

Inheritance diagram for stk::BeeThree:

List of all members.

## Public Member Functions
| BeeThree (void)
| Class constructor.
| ~BeeThree (void)
| Class destructor.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK Hammond-oid organ FM synthesis instrument.

This class implements a simple 4 operator topology, also referred to as algorithm 8 of the TX81Z.

        Algorithm 8 is :
                         1 --.
                         2 -\|
                             +-> Out
                         3 -/|
                         4 --

Control Change Numbers:

- Operator 4 (feedback) Gain = 2
- Operator 3 Gain = 4
- LFO Speed = 11
- LFO Depth = 1
- ADSR 2 & 4 Target = 128

The basic Chowning/Stanford FM patent expired in 1995, but there exist follow-on patents, mostly assigned to Yamaha. If you are of the type who should worry about this (making money) worry away.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::BeeThree::BeeThree | ( | void |  | ) |

Class constructor.

An StkError will be thrown if the rawwave path is incorrectly set.

The documentation for this class was generated from the following file:

- BeeThree.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.